BEGIN;
  INSERT INTO country_code (
    dutch_code,
    label,
    uuid,
    historical
  )
  VALUES 
    (5112, 'Gazastrook en Westelijke Jordaanoever', '8c4d9e76-4098-46ee-9879-4503c102de08', false),
    (5113, 'Republiek Noord-Macedonië', '8c4d9e76-4098-46ee-9879-4503c102de11', false),
    (7053, 'Samoa', '8c4d9e76-4098-46ee-9879-4503c102de09', false),
    (9038, 'Eswatini', '8c4d9e76-4098-46ee-9879-4503c102de10', false);

  UPDATE country_code as cc set
    label = c.column_a
  FROM (VALUES
    ('Nieuw-Zeeland', 5013),
    ('Zuid-Afrika', 5014),
    ('Noord-Jemen', 5016),
    ('Saoedi-Arabië', 5018),
    ('Ethiopië', 5020),
    ('Zuid-Vietnam', 5036),
    ('Australisch Nieuw-Guinea', 5041),
    ('Frans-Guyana', 5062),
    ('Frans-Somaliland', 5063),
    ('Guinee-Bissau', 5072),
    ('Zuidwest-Afrika', 5078),
    ('Frans-Indië', 5079),
    ('Portugees-Indië', 5089),
    ('Saint Vincent en de Grenadines', 5092),
    ('Azerbeidzjan', 5097),
    ('Belarus', 5098),
    ('Somalië', 6013),
    ('Kirgizië', 6021),
    ('Afghanistan', 6023),
    ('Noord-Vietnam', 6026),
    ('Cambodja', 6031),
    ('Bahama''s', 6033),
    ('Zuid-Korea', 6036),
    ('Oekraïne', 6038),
    ('Groot-Brittannië', 6039),
    ('Opper-Volta', 6046),
    ('Noord-Korea', 6049),
    ('Brits-Honduras', 6052),
    ('Canarische Eilanden', 6053),
    ('Frans-Polynesië', 6054),
    ('Portugees-Timor', 6056),
    ('Britse Salomonseilanden', 6058),
    ('Sint-Helena', 6060),
    ('West-Samoa', 6062),
    ('Turkmenistan', 6063),
    ('Zuid-Jemen', 7012),
    ('Tsjecho-Slowakije', 7048),
    ('Nederlands Nieuw-Guinea', 7058),
    ('Brits West-Indië', 7062),
    ('Portugees-Afrika', 7063),
    ('Brits-Afrika', 7067),
    ('Belgisch-Congo', 7068),
    ('Brits-Indië', 7070),
    ('Noord-Rhodesië', 7071),
    ('Zuid-Rhodesië', 7072),
    ('Frans Indochina', 7074),
    ('Brits West-Borneo', 7075),
    ('Ras al-Khaimah', 7077),
    ('Frans-Congo', 7079),
    ('Brits Oost-Afrika', 7082),
    ('Brits Noord-Borneo', 7083),
    ('Brits Antarctisch Territorium', 7095),
    ('Brits Indische Oceaanterritorium', 7096),
    ('Tokelau', 7098),
    ('Nieuw-Caledonië', 7099),
    ('Amerikaans-Samoa', 8002),
    ('Riukiu-eilanden', 8004),
    ('Pacific-eilanden', 8006),
    ('Turks-en Caicoseilanden', 8019),
    ('Papoea-Nieuw-Guinea', 8021),
    ('Salomonseilanden', 8022),
    ('Vietnam', 8024),
    ('Saint Lucia', 8029),
    ('Dubai', 8032),
    ('Nieuwe Hebriden', 8033),
    ('Saint Kitts en Nevis', 8037),
    ('Saint Vincent', 8039),
    ('Saint Kitts, Nevis en Anguilla', 8042),
    ('Palau', 8044),
    ('Brits-Kameroen', 9006),
    ('Keizer Wilhelmsland', 9007),
    ('Congo', 9008),
    ('Congo-Kinshasa', 9009),
    ('Congo-Brazzaville', 9013),
    ('Frans Territorium voor Afars en Issa''s', 9016),
    ('Portugees-Guinee', 9020),
    ('Duits Zuidwest-Afrika', 9022),
    ('Brits-Somaliland', 9027),
    ('Italiaans-Somaliland', 9028),
    ('Nederlands-Indië', 9030),
    ('Brits-Guyana', 9031),
    ('Zuid-Arabische Federatie', 9042),
    ('Equatoriaal-Guinea', 9043),
    ('Spaans-Guinee', 9044),
    ('Sovjet-Unie', 9049),
    ('Duits Oost-Afrika', 9050),
    ('Indochina', 9055),
    ('Brits-Borneo', 9058),
    ('Abu Dhabi', 9061),
    ('Ajman', 9062),
    ('Basutoland', 9063),
    ('Bechuanaland', 9064),
    ('Fujairah', 9065),
    ('Frans-Kameroen', 9066),
    ('Umm Al-Qaiwain', 9070),
    ('Portugees Oost-Afrika', 9072),
    ('Portugees West-Afrika', 9073),
    ('Sharjah', 9074),
    ('Frans West-Afrika', 9077),
    ('Frans Equatoriaal-Afrika', 9078),
    ('Urundi', 9081),
    ('Ruanda-Urundi', 9082),
    ('Centraal-Afrikaanse Republiek', 9086),
    ('Spaans Noord-Afrika', 9092)
  ) AS c(column_a, column_b) 
  WHERE c.column_b = cc.dutch_code;

  UPDATE country_code SET historical = true WHERE dutch_code IN (5004, 5016, 5031, 5036, 5041, 5046, 5050, 5059, 5063, 5064, 5067, 5068, 5075, 5078, 5079, 5081, 5082, 5083, 5085, 5086, 5087, 5088, 5089, 5090, 5091, 5093, 5094, 5096, 5100, 5102, 6026, 6029, 6045, 6046, 6052, 6056, 6058, 6062, 6068, 7011, 7012, 7023, 7029, 7036, 7048, 7058, 7059, 7060, 7062, 7063, 7067, 7068, 7070, 7071, 7072, 7073, 7074, 7075, 7076, 7077, 7079, 7080, 7082, 7083, 7085, 7089, 7091, 7093, 7094, 8000, 8004, 8006, 8010, 8011, 8018, 8032, 8033, 8038, 8039, 8040, 8042, 8043, 9000, 9001, 9005, 9006, 9007, 9009, 9013, 9014, 9015, 9016, 9017, 9020, 9022, 9027, 9028, 9030, 9031, 9036, 9041, 9042, 9044, 9047, 9049, 9050, 9051, 9052, 9053, 9054, 9055, 9057, 9058, 9060, 9061, 9062, 9063, 9065, 9066, 9067, 9068, 9069, 9070, 9071, 9072, 9073, 9074, 9075, 9076, 9077, 9078, 9081, 9082, 9084, 9085, 9088, 9092);
COMMIT;